import Vue from 'vue'
import Component from 'vue-class-component'

@Component
export default class parseCSVMapMixin extends Vue {
  parseCSVMap (csvMap: string) {
    let lines = csvMap.split('\n')
    lines.shift() // drop the first line since it contains only headings
    // TODO remove any type
    return lines.reduce((acc: any, curr) => {
      if (curr) {
        let [key, matrikelNo, name] = curr.split(';')
        acc[key] = { matrikelNo: matrikelNo, name }
      }
      return acc
    }, {})
  }
}